# Interface IDocumentProviderExtension2

All Known Implementing Classes:
  `AbstractDocumentProvider, FileDocumentProvider, ForwardingDocumentProvider, StorageDocumentProvider, TextFileDocumentProvider, TextFileDocumentProvider.NullProvider`

public interface IDocumentProviderExtension2
Extension interface for `IDocumentProvider`. It adds the following functions:

- global temporary progress monitor

Since:
  2.1

## Method Summary

Modifier and Type
Method
Description
`IProgressMonitor`
`getProgressMonitor()`
Returns this providers progress monitor.
`void`
`setProgressMonitor(IProgressMonitor progressMonitor)`
Sets this providers progress monitor.

## Method Details

### setProgressMonitor

void setProgressMonitor(IProgressMonitor progressMonitor)
Sets this providers progress monitor.

Parameters:
  `progressMonitor` - the progress monitor

### getProgressMonitor

IProgressMonitor getProgressMonitor()
Returns this providers progress monitor.

Returns:
  IProgressMonitor